## Progress Data Progress Data — Progress data |

## Functions

gboolean | (*FontManagerProgressCallback) ()
FontManagerProgressData * | font_manager_progress_data_new ()
gboolean | font_manager_progress_data_print ()

## Properties

gchar * | message | Read / Write
guint | processed | Read / Write
gdouble | progress | Read
guint | total | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_PROGRESS_DATA
| FontManagerProgressData

## Object Hierarchy

        GObject
        ╰── FontManagerProgressData

## Includes

    #include <font-manager-progress-data.h>

## Description

FontManagerProgressData contains data necessary to display progress within the application.

## Functions

### FontManagerProgressCallback ()

    gboolean
    (*FontManagerProgressCallback) (FontManagerProgressData *data);

### font_manager_progress_data_new ()

    FontManagerProgressData *
    font_manager_progress_data_new (const gchar *message,
                                    guint processed,
                                    guint total);

#### Parameters

message | string suitable for display. | [nullable]
processed | amount processed so far |
total | total amount to process |

#### Returns

A newly created FontManagerProgressData. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_progress_data_print ()

    gboolean
    font_manager_progress_data_print (FontManagerProgressData *self);

Print progress to stdout.

#### Parameters

self | FontManagerProgressData |

#### Returns

`G_SOURCE_REMOVE`

## Types and Values

### FONT_MANAGER_TYPE_PROGRESS_DATA

    #define FONT_MANAGER_TYPE_PROGRESS_DATA (font_manager_progress_data_get_type())

### FontManagerProgressData

    typedef struct _FontManagerProgressData FontManagerProgressData;

## Property Details

### The `“message”` property

      “message”                  gchar *

String suitable for display

Owner: FontManagerProgressData

Flags: Read / Write

Default value: NULL

### The `“processed”` property

      “processed”                guint

Amount processed so far

Owner: FontManagerProgressData

Flags: Read / Write

Default value: 0

### The `“progress”` property

      “progress”                 gdouble

Progress as fraction between 0.0 - 1.0

Owner: FontManagerProgressData

Flags: Read

Allowed values: [0,1]

Default value: 0

### The `“total”` property

      “total”                    guint

Total amount to process

Owner: FontManagerProgressData

Flags: Read / Write

Default value: 0